Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA::AdapterAlreadyExists Exception Reference

`#include <PortableServerC.h>`

List of all members.

## Public Methods
| AdapterAlreadyExists (void)
| AdapterAlreadyExists (const AdapterAlreadyExists &)
| ~AdapterAlreadyExists (void)
AdapterAlreadyExists & | operator= (const AdapterAlreadyExists &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
## Static Public Methods
AdapterAlreadyExists * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::POA::AdapterAlreadyExists::AdapterAlreadyExists | ( | void |  | ) |

PortableServer::POA::AdapterAlreadyExists::AdapterAlreadyExists | ( | const AdapterAlreadyExists & |  | ) |

PortableServer::POA::AdapterAlreadyExists::~AdapterAlreadyExists | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception* PortableServer::POA::AdapterAlreadyExists::_alloc | ( | void |  | ) | `[static]`

AdapterAlreadyExists* PortableServer::POA::AdapterAlreadyExists::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

virtual void PortableServer::POA::AdapterAlreadyExists::_raise | ( | void |  | ) | `[virtual]`

virtual void PortableServer::POA::AdapterAlreadyExists::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual CORBA::Exception* PortableServer::POA::AdapterAlreadyExists::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void PortableServer::POA::AdapterAlreadyExists::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

AdapterAlreadyExists& PortableServer::POA::AdapterAlreadyExists::operator= | ( | const AdapterAlreadyExists & |  | ) |

The documentation for this exception was generated from the following files:

- PortableServer.pidl
- PortableServerC.h